Bug 999876 - Ugly, unformatted error pop-ups with stacktraces
Ugly, unformatted error pop-ups with stacktraces
Status: MODIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: manstis
Lukáš Petrovický
:
: 1007274 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 05:57 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error popup (127.37 KB, image/png)
2013-08-22 05:57 EDT, Zuzana Krejčová
no flags Details
the way that the generic error is displayed (50.73 KB, image/png)
2015-01-08 12:33 EST, Neus Miras
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-22 05:57:20 EDT
Created attachment 789111 [details]
error popup

Description of problem:
See screenshot. Someone is obviously trying to make it nicer with HTML tags. Those, unfortunately, seem to be escaped and are shown as well as the error message.
The stack trace should probably be kept in the server log, not shown to a business user.
The error pop-up should contain a message that would make sense for a business user.

So far, I've seen this while reproducing bug 999857 and bug 999874, though I'm sure these are not the only occurences.


Version-Release number of selected component (if applicable):
6.0 ER1
Comment 1 manstis 2013-08-22 14:06:42 EDT
Looks like the error handling for XLS Decision Tables (and XLS Score Cards) needs some improvement. Thanks for reporting.
Comment 6 Radovan Synek 2013-10-18 08:57:31 EDT
*** Bug 1007274 has been marked as a duplicate of this bug. ***
Comment 7 Zuzana Krejčová 2013-10-21 06:38:19 EDT
HTML tags are no longer escaped, true, unfortunately, the issue persists.
There's the stack trace, no business-user-friendly message plus the formatting is a bit unfortunate as there is a small error dialog half-way filled with h1 text "JBWEB000065: HTTP Status 500 -". If I, as a user, do something wrong, like try to create a XLS DT without selecting a file first, I want to see a reasonable message in the error pop-up. Something along the lines of what happened/failed + why + what to do. No stack trace and user friendly formatting.
Comment 8 manstis 2013-10-22 04:23:14 EDT
OK, I understand. I thought it was just the formatting that you objected to. Anyway, the user now receives an error popup giving a clear message should they either fail to select a file, or select a file that is not a supported type. We have also improved the error reporting from the server.

The changes to improve error reporting  were made against https://bugzilla.redhat.com/show_bug.cgi?id=1009358 and https://bugzilla.redhat.com/show_bug.cgi?id=1019842.
Comment 9 Zuzana Krejčová 2013-12-05 13:18:00 EST
I have to return this once more.

See bug 1007437 - would it be possible to look at all the places dealing with error pop-ups and fix this completely?
Comment 10 Lukáš Petrovický 2014-02-04 12:51:00 EST
QE considers this optional for 6.0.1.
Comment 11 manstis 2014-03-03 05:51:55 EST
I've tried with the various use-cases I can glean from the various BZs raised for this issue however I cannot replicate with the latest codebase (6.0.1.ER2). Please re-try.

If there is a specific example you still have where an ugly message is shown could you please provide details of exactly what it is you're doing?

Thanks.
Comment 12 Zuzana Krejčová 2014-03-25 11:30:31 EDT
Just found another occurrence in 6.0.1 CR1 BPMS:

If a jar upload fails, you get this again. Try especially with a jar containing a bad pom.xml - aim for "Unable to parse File 'pom.xml'".
Comment 13 Neus Miras 2015-01-08 12:33:23 EST
Created attachment 977859 [details]
the way that the generic error is displayed
Comment 14 Neus Miras 2015-01-08 12:36:18 EST
I have been trying to replicate this commented behaviour. I found that in many places in product the error message is shown in a ugly format, because the exception message is displayed but the html tags are used. Maybe the error classification could be more accurate but those message have to be displayed to help the user to understand and resolve the problem. 
An improvement could be develop a new error popup with a link to details, and then the whole information could be displayed.

Note You need to log in before you can comment on or make changes to this bug.